%define upstream_name    meta
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1.1

Summary:    Meta-programming API
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildRequires: perl-devel
%description
This package provides an API for metaprogramming; that is, allowing code to
inspect or manipulate parts of its own program structure. Parts of the perl
interpreter itself can be accessed by means of "meta"-objects provided by
this package. Methods on these objects allow inspection of details, as well
as creating new items or removing existing ones.

The intention of this API is to provide a nicer replacement for existing
tricks such as 'no strict 'refs'' and using globrefs, and also to be a more
consistent place to add new abilities, such as more APIs for inspection and
alteration of internal structures, metaprogramming around the new ''class''
feature, and other such uses.

This module should be considered *experimental*; no API stability
guarantees are made at this time. Behaviour may be added, altered, or
removed in later versions. Once a workable API shape has been found, it is
hoped that this module will eventually become dual-life and shipped as part
of Perl core, as the implementation for PPC 0022. See the link in the the
/SEE ALSO manpage section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Wed Oct 09 2024 tv <tv> 0.11.0-1.1.mga10
+ Revision: 2104248
- update to 0.011

* Sat Oct 05 2024 tv <tv> 0.10.0-1.1.mga10
+ Revision: 2103419
- update to 0.010

* Mon Sep 16 2024 tv <tv> 0.9.0-1.1.mga10
+ Revision: 2097181
- update to 0.009

* Thu Sep 12 2024 tv <tv> 0.8.0-1.mga10
+ Revision: 2095289
- imported package perl-meta

